javax.faces.component.behavior

## Enum ClientBehaviorHint

- java.lang.Object
- - java.lang.Enum<ClientBehaviorHint>
  - - javax.faces.component.behavior.ClientBehaviorHint

- All Implemented Interfaces:
    Serializable, Comparable<ClientBehaviorHint>

      public enum ClientBehaviorHint
      extends Enum<ClientBehaviorHint>

  An enum that specifies hints that describes the behavior of ClientBehavior implementations.

  Since:
    2.0
  See Also:
    `ClientBehavior.getHints()`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `SUBMITTING` Hint that indicates that ClientBehavior implementation posts back to the server.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ClientBehaviorHint` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ClientBehaviorHint[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SUBMITTING

          public static final ClientBehaviorHint SUBMITTING

      Hint that indicates that ClientBehavior implementation posts back to the server. Renderers that normally attach postback-related scripts may choose to omit such scripts when a submitting ClientBehavior is present.

  - ### Method Detail

    - #### values

          public static ClientBehaviorHint[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ClientBehaviorHint c : ClientBehaviorHint.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ClientBehaviorHint valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.